QGIS Application - Bug report #14243
Panning when map is rotated changes zoom
2016-02-07 03:53 PM - Patrick Dunford

Status: Closed

Priority: Normal

Assignee: Sebastian Dietrich

Category: Map Canvas

Affected QGIS version:master Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22240
Description

When a map is rotated at zero degrees, using the arrow keys pans the map in all directions when digitising, while maintaining the current
zoom level. This is essential to be able to use the keyboard to move the map so that digitising with the keyboard can be uninterrupted.

When the map is rotated off zero then using the arrow keys to pan causes the map to be zoomed out, which means | have to keep
zooming in with the mouse each time and losing the scale because it doesn't rescale in the same steps as using the mouse wheel does.

It should be possible to pan when the map is rotated, the same as when it is at zero degrees, with the arrows on the keyboard, without
losing the current zoom level.

Associated revisions

Revision 138be4a3 - 2016-02-22 10:46 AM - Sebastian Dietrich

Don't zoom when panning with the keyboard on a rotated QgsMapCanvas

Fixes #14243

Signed-off-by: Sandro Santilli <strk@keybit.net>

History

#1 - 2016-02-09 01:40 PM - Giovanni Manghi
- Category set to Map Canvas

- OS version deleted (10)

- Operating System deleted (Windows)

#2 - 2016-02-20 01:45 PM - Sebastian Dietrich

- % Done changed from 0 to 100

- Target version set to Version 2.14

- Status changed from Open to In Progress

- Assignee set to Sebastian Dietrich

- Affected QGIS version changed from 2.12.2 to master

- Pull Request or Patch supplied changed from No to Yes

See PR 2822 for a solution.

#3 - 2016-02-22 01:46 AM - Anonymous
mailto:strk@keybit.net
https://github.com/qgis/QGIS/pull/2822

- Status changed from In Progress to Closed

Fixed in changeset commit:"138be4a359ebb093736cdf878718d0e7743e3f2¢".
